import request from '@/utils/request'

// 查询WmToken列表
export function listWmToken(query) {
  return request({
    url: '/api/v1/wm-token',
    method: 'get',
    params: query
  })
}

// 查询WmToken详细
export function getWmToken(id) {
  return request({
    url: '/api/v1/wm-token/' + id,
    method: 'get'
  })
}

// 新增WmToken
export function addWmToken(data) {
  return request({
    url: '/api/v1/wm-token',
    method: 'post',
    data: data
  })
}

// 修改WmToken
export function updateWmToken(data) {
  return request({
    url: '/api/v1/wm-token/' + data.id,
    method: 'put',
    data: data
  })
}

// 删除WmToken
export function delWmToken(data) {
  return request({
    url: '/api/v1/wm-token',
    method: 'delete',
    data: data
  })
}

